script lint

This commit is contained in:
Alexander Frick 2023-04-13 06:36:05 -05:00
parent ba1a39da40
commit 971c87f453
12 changed files with 41 additions and 35 deletions

View file

@ -1,6 +1,6 @@
#!/bin/bash
# Copyright (c) 2022 Alex313031.
# Copyright (c) 2023 Alex313031.
YEL='\033[1;33m' # Yellow
CYA='\033[1;96m' # Cyan
@ -23,7 +23,6 @@ displayHelp () {
printf "${RED}NOTE: You may need to run ${c0}${bold}./trunk.sh ${RED}before using this script!${c0}\n" &&
printf "\n"
}
case $1 in
--help) displayHelp; exit 0;;
esac
@ -79,7 +78,7 @@ printf "\n" &&
cd ~/thorium &&
printf "${GRE}Done! ${YEL}You can now run ./setup.sh\n"
printf "${GRE}Done! ${YEL}You can now run `./setup.sh`\n"
tput sgr0 &&
exit 0

View file

@ -1,6 +1,6 @@
#!/bin/bash
# Copyright (c) 2022 Alex313031.
# Copyright (c) 2023 Alex313031.
YEL='\033[1;33m' # Yellow
CYA='\033[1;96m' # Cyan
@ -37,7 +37,7 @@ export NINJA_SUMMARIZE_BUILD=1 &&
cat logos/thorium_logo_ascii_art.txt &&
printf "${GRE}${bold}Build Completed. ${YEL}${bold}You can now run ./thordeb.sh to build an installation package.\n" &&
printf "${GRE}${bold}Build Completed. ${YEL}${bold}You can now run `./thordeb.sh` to build an installation package.\n" &&
tput sgr0 &&
exit 0

View file

@ -61,7 +61,7 @@ mv ~/chromium/src/out/thorium/apks/ChromePublic.apk ~/chromium/src/out/thorium/a
cat logos/thorium_logo_ascii_art.txt &&
printf "${GRE}${bold}Build Completed. ${YEL}${bold}You can copy the .apk(s) to your device or use ADB to install it.\n" &&
printf "${GRE}${bold}They are located in //chromium/src/out/thorium/apks/\n" &&
printf "${GRE}${bold}They are located in `//chromium/src/out/thorium/apks/`\n" &&
tput sgr0
}
case $1 in
@ -78,7 +78,7 @@ mv ~/chromium/src/out/thorium/apks/ChromePublic.apk ~/chromium/src/out/thorium/a
cat logos/thorium_logo_ascii_art.txt &&
printf "${GRE}${bold}Build Completed. ${YEL}${bold}You can copy the .apk(s) to your device or use ADB to install it.\n" &&
printf "${GRE}${bold}They are located in //chromium/src/out/thorium/apks/\n" &&
printf "${GRE}${bold}They are located in `//chromium/src/out/thorium/apks/`\n" &&
tput sgr0 &&
exit 0

View file

@ -1,6 +1,6 @@
#!/bin/bash
# Copyright (c) 2022 Alex313031 and Midzer.
# Copyright (c) 2023 Alex313031 and Midzer.
YEL='\033[1;33m' # Yellow
CYA='\033[1;96m' # Cyan
@ -16,9 +16,11 @@ die() { yell "$*"; exit 111; }
try() { "$@" || die "${RED}Failed $*"; }
printf "\n" &&
printf "${YEL}Building .dmg package of Thorium...\n" &&
printf "${YEL}Building .dmg of Thorium...\n" &&
printf "${CYA}\n" &&
cd ~/chromium/src &&
# Fix file attr
xattr -csr out/thorium/Thorium.app &&
@ -30,5 +32,5 @@ chrome/installer/mac/pkg-dmg --sourcefile --source out/thorium/Thorium.app --tar
cat logos/apple_ascii_art.txt &&
printf "${GRE}.DMG Build Completed. ${YEL}Installer at //out/thorium/Thorium*_MacOS.dmg\n" &&
printf "${GRE}.DMG Build Completed. ${YEL}Installer at \'//out/thorium/Thorium*_MacOS.dmg\'\n" &&
tput sgr0

View file

@ -1,6 +1,6 @@
#!/bin/bash
# Copyright (c) 2022 Alex313031.
# Copyright (c) 2023 Alex313031.
YEL='\033[1;33m' # Yellow
CYA='\033[1;96m' # Cyan
@ -40,7 +40,7 @@ buildShell () {
cat logos/thorium_logo_ascii_art.txt &&
printf "${GRE}${bold}Build Completed. ${YEL}${bold}You can now run ./build_dmg.sh, and copy the Thorium Shell.app\n" &&
printf "${GRE}${bold}Build Completed. ${YEL}${bold}You can now run \'./build_dmg.sh\', and copy the Thorium Shell.app out.\n" &&
tput sgr0
}
case $1 in
@ -58,6 +58,6 @@ export NINJA_SUMMARIZE_BUILD=1 &&
cat logos/thorium_logo_ascii_art.txt &&
printf "${GRE}${bold}Build Completed. ${YEL}${bold}You can now run ./build_dmg.sh\n" &&
printf "${GRE}${bold}Build Completed. ${YEL}${bold}You can now run \'./build_dmg.sh\'\n" &&
exit 0

View file

@ -1,6 +1,6 @@
#!/bin/bash
# Copyright (c) 2022 Alex313031.
# Copyright (c) 2023 Alex313031.
YEL='\033[1;33m' # Yellow
CYA='\033[1;96m' # Cyan
@ -39,7 +39,7 @@ mv -v -f ~/chromium/src/out/thorium/mini_installer.exe ~/chromium/src/out/thoriu
cat logos/thorium_logo_ascii_art.txt &&
printf "${GRE}${bold}Build Completed. ${YEL}${bold}Installer at //out/thorium/thorium_mini_installer.exe\n" &&
printf "${GRE}${bold}Build Completed. ${YEL}${bold}Installer at \'//out/thorium/thorium_mini_installer.exe\'\n" &&
tput sgr0 &&
exit 0

View file

@ -1,6 +1,6 @@
#!/bin/bash
# Copyright (c) 2022 Alex313031.
# Copyright (c) 2023 Alex313031.
# Copy and run from within out/thorium or wherever you put your build, or cd there first!
# i.e. cd /home/alex/bin/thorium/
@ -18,6 +18,16 @@ yell() { echo "$0: $*" >&2; }
die() { yell "$*"; exit 111; }
try() { "$@" || die "${RED}Failed $*"; }
# --help
displayHelp () {
printf "\n" &&
printf "${bold}${GRE}Script to remove unneeded artifacts in your build directory.${c0}\n" &&
printf "\n"
}
case $1 in
--help) displayHelp; exit 0;;
esac
printf "\n" &&
printf "${YEL}Cleaning up build artifacts...\n" &&
printf "${RED}\n" &&

View file

@ -1,6 +1,6 @@
#!/bin/bash
# Copyright (c) 2022 Alex313031 and Midzer.
# Copyright (c) 2023 Alex313031 and Midzer.
YEL='\033[1;33m' # Yellow
CYA='\033[1;96m' # Cyan
@ -58,7 +58,7 @@ source ~/.bashrc &&
printf "\n" &&
printf "${GRE}Completed. ${YEL}You can now run ./trunk.sh\n"
printf "${GRE}Completed. ${YEL}You can now run \'./trunk.sh\'\n"
tput sgr0 &&
exit 0

View file

@ -1,6 +1,6 @@
#!/bin/bash
# Copyright (c) 2022 Alex313031.
# Copyright (c) 2023 Alex313031.
YEL='\033[1;33m' # Yellow
CYA='\033[1;96m' # Cyan

View file

@ -1,6 +1,6 @@
#!/bin/bash
# Copyright (c) 2022 Alex313031.
# Copyright (c) 2023 Alex313031.
YEL='\033[1;33m' # Yellow
CYA='\033[1;96m' # Cyan
@ -96,8 +96,12 @@ copyRaspi () {
cp -r -v arm/raspi/* $HOME/chromium/src/ &&
printf "\n"
}
# Display raspi ascii art
displayRaspi () {
cat logos/raspi_ascii_art.txt
}
case $1 in
--raspi) copyRaspi;
--raspi) copyRaspi; displayRaspi;
esac
# Windows on ARM files
@ -217,15 +221,6 @@ printf "${CYA}\n" &&
cat logos/thorium_ascii_art.txt &&
# Display raspi ascii art
displayRaspi () {
cat logos/raspi_ascii_art.txt
}
case $1 in
--raspi) displayRaspi;
esac
printf "${GRE}Enjoy Thorium!\n" &&
printf "\n" &&
tput sgr0

View file

@ -1,6 +1,6 @@
#!/bin/bash
# Copyright (c) 2022 Alex313031.
# Copyright (c) 2023 Alex313031.
YEL='\033[1;33m' # Yellow
CYA='\033[1;96m' # Cyan
@ -35,5 +35,5 @@ export NINJA_SUMMARIZE_BUILD=1 &&
./depot_tools/autoninja -C ~/chromium/src/out/thorium "chrome/installer/linux:stable_deb" -j$@ &&
printf "${GRE}Done. ${YEL}Installer at //out/thorium/thorium*.deb\n" &&
printf "${GRE}Done! ${YEL}Installer at `//out/thorium/thorium*.deb`\n" &&
tput sgr0

View file

@ -1,6 +1,6 @@
#!/bin/bash
# Copyright (c) 2022 Alex313031 and Midzer.
# Copyright (c) 2023 Alex313031 and Midzer.
YEL='\033[1;33m' # Yellow
CYA='\033[1;96m' # Cyan
@ -116,7 +116,7 @@ gsyncShallow () {
gclient runhooks &&
printf "\n" &&
printf "${GRE}Done! ${YEL}You can now run ./VERSION.sh\n"
printf "${GRE}Done! ${YEL}You can now run `./VERSION.sh`\n"
tput sgr0 &&
c0='\033[0m' # Reset Text
@ -266,7 +266,7 @@ python3 tools/update_pgo_profiles.py --target=win64 update --gs-url-base=chromiu
python3 tools/update_pgo_profiles.py --target=mac update --gs-url-base=chromium-optimization-profiles/pgo_profiles &&
printf "\n" &&
printf "${GRE}Done! ${YEL}You can now run ./VERSION.sh\n" &&
printf "${GRE}Done! ${YEL}You can now run `./VERSION.sh`\n" &&
tput sgr0 &&
c0='\033[0m' # Reset Text